summary refs log tree commit diff
path: root/etc
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--etc/tf/cfg/autoexec.cfg3
-rw-r--r--etc/tf/cfg/engineer.cfg3
-rw-r--r--etc/tf/cfg/heavyweapons.cfg3
-rw-r--r--etc/tf/cfg/scout.cfg4
-rwxr-xr-xetc/tf/link.zsh7
5 files changed, 20 insertions, 0 deletions
diff --git a/etc/tf/cfg/autoexec.cfg b/etc/tf/cfg/autoexec.cfg
new file mode 100644
index 00000000..14dc5638
--- /dev/null
+++ b/etc/tf/cfg/autoexec.cfg
@@ -0,0 +1,3 @@
+tf_contract_progress_show 0
+bind \ kill
+bind = "bind mouse2 +attack2; toggle r_drawviewmodel 0 1"
diff --git a/etc/tf/cfg/engineer.cfg b/etc/tf/cfg/engineer.cfg
new file mode 100644
index 00000000..1faec67e
--- /dev/null
+++ b/etc/tf/cfg/engineer.cfg
@@ -0,0 +1,3 @@
+bind mouse3 "destroy 2; build 2"
+bind mouse4 "destroy 0; build 0"
+bind mouse5 "destroy 3; build 3"
diff --git a/etc/tf/cfg/heavyweapons.cfg b/etc/tf/cfg/heavyweapons.cfg
new file mode 100644
index 00000000..85275e72
--- /dev/null
+++ b/etc/tf/cfg/heavyweapons.cfg
@@ -0,0 +1,3 @@
+bind mouse3 "voicemenu 2 0"
+bind mouse4 "voicemenu 0 7"
+bind mouse5 "voicemenu 1 4"
diff --git a/etc/tf/cfg/scout.cfg b/etc/tf/cfg/scout.cfg
new file mode 100644
index 00000000..940c1e63
--- /dev/null
+++ b/etc/tf/cfg/scout.cfg
@@ -0,0 +1,4 @@
+r_drawviewmodel 0
+alias +melee "r_drawviewmodel 1; slot3; +attack"
+alias -melee "-attack; slot1; r_drawviewmodel 0"
+bind mouse2 +melee
diff --git a/etc/tf/link.zsh b/etc/tf/link.zsh
new file mode 100755
index 00000000..a00f1c01
--- /dev/null
+++ b/etc/tf/link.zsh
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset
+
+tf="$HOME/Library/Application Support/Steam/steamapps/common/Team Fortress 2/tf"
+for cfg in cfg/*.cfg; do
+    ln -s -f "$PWD/$cfg" "$tf/$cfg"
+done
td>2020-03-03Use getopts in shell scriptsJune McEnroe WTF why did no one tell me about this? 2020-02-27Style %T outside of Rs in italicJune McEnroe 2020-02-26Add Fierce Femmes and Notorious LiarsJune McEnroe 2020-02-23Add This Is How You Lose the Time WarJune McEnroe 2020-02-22Add See Ya LaterJune McEnroe 2020-02-20Remove wiki scriptJune McEnroe Wikipedia seems to have removed the one-sentence extracts from the opensearch results. Too bad. It's not a wiki script, what we need is a command that fetches single-sentence summaries of articles on Wikipedia. 2020-02-19Add The Obelisk GateJune McEnroe 2020-02-17Add Four Tet — HandsJune McEnroe One from the cafe that caught my attention. 2020-02-12Simplify macOS notify-sendJune McEnroe 2020-02-12Add imbox and notemap to pageJune McEnroe 2020-02-12Collapse simple linksJune McEnroe 2020-02-12Move catgirl up the pageJune McEnroe 2020-02-12Update catgirl pty grabJune McEnroe 2020-02-12Link to cgit /about pages where appropriateJune McEnroe 2020-02-11Separate LINKS from BINS for html to workJune McEnroe 2020-02-11Add margin to Bl-bullet itemsJune McEnroe 2020-02-10Match URLs inside parens or with paired parens insideJune McEnroe 2020-02-10Duplicate effective URL before passing it back to curlJune McEnroe Apparently sometimes it didn't like receiving its own internal storage to parse again. Understandable. 2020-02-09Add To Be Taught, If FortunateJune McEnroe 2020-02-04Add The Future of Another TimelineJune McEnroe Wow. One of the best I've read. 2020-01-31Reorganize the Makefile for the umpteenth timeJune McEnroe Broke out LDLIBS for each bin, and made everything more uniform. 2020-01-28Change scout sensitivity to 1.4June McEnroe idk it seems to work. 2020-01-28Import shows.txtJune McEnroe